Jump to content
تغییر منو
Toggle preferences menu
تغییر منوی شخصی
به سامانه وارد نشده‌اید
نشانی آی‌پی شما در صورت انجام هرگونه ویرایش به صورت عمومی قابل مشاهده خواهد بود.

پودمان:Navbox/styles.css

از ویکی احکام
نسخهٔ تاریخ ‏۳۱ اوت ۲۰۲۵، ساعت ۱۵:۱۱ توسط Modir (بحث | مشارکت‌ها) (۱ نسخه واردشده)
(تفاوت) → نسخهٔ قدیمی‌تر | نمایش نسخهٔ فعلی (تفاوت) | نسخهٔ جدیدتر ← (تفاوت)
/* {{pp|small=y}} */
.navbox {
	box-sizing: border-box;
	border: 1px solid #a2a9b1;
	width: 100%;
	clear: both;
	font-size: 88%;
	text-align: center;
	padding: 1px;
	margin: 1em auto 0; /* Prevent preceding content from clinging to navboxes */
}

.navbox .navbox {
	margin-top: 0; /* No top margin for nested navboxes */
}

.navbox + .navbox, /* TODO: remove first line after transclusions have updated */
.navbox + .navbox-styles + .navbox {
	margin-top: -1px; /* Single pixel border between adjacent navboxes */
}

.navbox-inner,
.navbox-subgroup {
	width: 100%;
}

.navbox-group,
.navbox-title,
.navbox-abovebelow {
	padding: 0.25em 1em;
	line-height: 1.5em;
	text-align: center;
}

.navbox-group {
	white-space: nowrap;
	/* @noflip */
	text-align: right;
}

.navbox,
.navbox-subgroup {
	background-color: #f8f9fa;
}

.navbox-list {
	line-height: 1.5em;
	border-color: #f8f9fa; /* Must match background color */
}

.navbox-list-with-group {
	text-align: right;
	border-left-width: 2px;
	border-right-style: solid;
}

/* cell spacing for navbox cells */
/* Borders above 2nd, 3rd, etc. rows */
/* TODO: figure out how to replace tr as structure;
 * with div structure it should be just a matter of first-child */
tr + tr > .navbox-abovebelow,
tr + tr > .navbox-group,
tr + tr > .navbox-image,
tr + tr > .navbox-list {
	border-top: 2px solid #f8f9fa; /* Must match background color */
}

.navbox-title {
	background-color: #b3ccff; /* Level 1 color */
}

.navbox-abovebelow,
.navbox-group,
.navbox-subgroup .navbox-title {
	background-color: #dbe7ff; /* Level 2 color */
}

.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-abovebelow {
	background-color: #e5edff; /* Level 3 color */
}

.navbox-even {
	background-color: #f8f9fa;
}

.navbox-odd {
	background-color: transparent;
}

/* TODO: figure out how to remove reliance on td as structure */
.navbox .hlist td dl,
.navbox .hlist td ol,
.navbox .hlist td ul,
.navbox td.hlist dl,
.navbox td.hlist ol,
.navbox td.hlist ul {
	padding: 0.125em 0;
}

.navbox .navbar {
	display: block;
	font-size: 100%;
}

.navbox-title .navbar {
	/* @noflip */
	float: right;
	/* @noflip */
	text-align: right;
	/* @noflip */
	margin-left: 0.5em;
}

/* RTL fix for navbox-list bullet lists; See [[Special:Permalink/24864265#خطای ظاهری]]. */
.navbox-list li {
	unicode-bidi: isolate;
}